ExceptionHandler (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands.servlet
Class ExceptionHandler

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractExceptionHandler
              org.apache.struts.chain.commands.servlet.ExceptionHandler

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

    public class ExceptionHandler

extends AbstractExceptionHandler

Handle the specified exception.

Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:11:38 -0400 (Sat, 07 May 2005) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`ExceptionHandler()`

Method Summary
`protected ForwardConfig` | `handle(ActionContext context, Exception exception, ExceptionConfig exceptionConfig, ActionConfig actionConfig, ModuleConfig moduleConfig)` Perform the required handling of the specified exception.

Methods inherited from class org.apache.struts.chain.commands.AbstractExceptionHandler
`execute`

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHandler

    public ExceptionHandler()

Method Detail

### handle

    protected ForwardConfig handle(ActionContext context,
                                   Exception exception,
                                   ExceptionConfig exceptionConfig,
                                   ActionConfig actionConfig,
                                   ModuleConfig moduleConfig)
                            throws Exception

  Description copied from class: `AbstractExceptionHandler`

  Perform the required handling of the specified exception.

  Specified by:
    `handle` in class `AbstractExceptionHandler`
  Parameters:
    `context` - The `Context` for this request
    `exception` - The exception being handled
    `exceptionConfig` - The corresponding `ExceptionConfig`
    `actionConfig` - The `ActionConfig` for this request
    `moduleConfig` - The `ModuleConfig` for this request
  Returns:
    the `ForwardConfig` to be processed next (if any), or `null` if processing has been completed
  Throws:
    `Exception` - if there are any problems handling the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.